<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <script src="http://maps.google.com/maps?file=api&v=1&key=ABQIAAAAPXJEVier90wPwM3E76vEDhSQGcJ2imhI5VbYwlzqY3UPZR5hvRTiTIKZvxzbo8FI3Q41LjPNjnb1Bg" type="text/javascript"></script>
	<script type="text/javascript">
	//<![CDATA[
function Annotation(){}
Annotation.prototype.initialize=function(mainMap){
  this.mainMap=mainMap;
  this.imgElement	= mainMap.ownerDocument.createElement('div');
  this.spanElement 	= mainMap.ownerDocument.createElement('div');
  this.imgElement.setAttribute('id','img-'+this.id);
  this.spanElement.setAttribute('id','span-'+this.id);
  if (this.initialState=='htm') {
  	this.expand();
  } else {
	this.shrink();
  }	
  document.body.appendChild(this.imgElement);
  this.imgElement.appendChild(this.spanElement);
  this.imgElement.style.padding = '8px 0px 0px 8px';
  this.imgElement.style.background = 'url(images/LTpointer.png) no-repeat top left';
  this.imgElement.style.position='absolute';
  this.imgElement.style.zIndex=100;
  mainMap.div.appendChild(this.imgElement);
  this.reposition();
  GEvent.bind(mainMap,"zoom",this,function(){this.reposition()});
  GEvent.bind(mainMap,"moveend",this,function(){this.reposition()});
}
Annotation.prototype.expand=function(){
	//alert('expand funtion called for id:'+ this.id);
	this.spanElement.className = 'dpe';
	this.spanElement.innerHTML = '<a class="dis" href="#" onclick="shrinkWindow('+this.id+')">&nbsp;&ndash;&nbsp;</a> '+this.bigcontent;
}
Annotation.prototype.shrink=function(){
	//alert('shrink funtion called for id:'+ this.id);
	this.spanElement.className = 'dp';
	this.spanElement.innerHTML = '<a class="dis" href="#" onclick="expandWindow('+this.id+')">&nbsp;+&nbsp;</a>&nbsp;'+this.content;
}
Annotation.prototype.reposition=function(){
  var pixelLoc = this.mainMap.spec.getBitmapCoordinate(	this.anchorLatLng.y,
  														this.anchorLatLng.x,
  														this.mainMap.getZoomLevel());
  var coords = this.mainMap.getDivCoordinate(pixelLoc.x,pixelLoc.y)
  this.imgElement.style.left = coords.x+'px';
  this.imgElement.style.top  = coords.y+'px';
}

GMap.prototype.addAnnotation=function(a){
  a.initialize(this);
}
	
	
	 //]]></script>
	<style type="text/css">
    /* the following are used to enable the map to fill the screen */
    html, body {width: 100%; height: 100%}
    body {margin-top: 0px; margin-right: 0px; margin-left: 0px; margin-bottom: 0px;
    	font-family: arial, helvetica, sans-serif;
    	font-size: x-small;}
    p {}

    /* annotation */
    .dp {background-color: #ffffff; padding: 3px 3px 3px 3px; border: #FF0000 solid 1px;}
    
    /* annotation Expanded */
   	.dpe {background-color: #ffffff; padding: 3px 3px 3px 3px; width: 200px; border: #FF0000 solid 1px;}
   	
   	/* annotation disclosure button */
	.dis {font-weight: bold;  text-decoration:none; background-color:#ff9999}
	/*a.dis:hover {text-decoration: underline;}*/
  </style>

  </head>
  <body>
    <div id="map" style="width: 100%; height: 100%"></div> 
    <script type="text/javascript">
    //<![CDATA[
	function expandWindow(id) {
		antnSet[id].expand();
	}
	function shrinkWindow(id) {
		antnSet[id].shrink();
	}
	function createAnnotation(number,lon,lat,html,icon,initialState) {
		var antn = new Annotation();
		antn.id = number;
		antn.anchorLatLng = new GPoint(lon,lat);
		antn.content = icon;
		antn.bigcontent = html;
		antn.initialState = initialState;
		map.addAnnotation(antn);
		antnSet[number] = antn; 
	}
    var map = new GMap(document.getElementById("map"));
    map.addControl(new GLargeMapControl());
	map.addControl(new GMapTypeControl());
	map.centerAndZoom(new GPoint(<? echo $_REQUEST['lon1'].",".$_REQUEST['lat1'] ?>), 1);
    antnSet = new Object();
    
<? // PHP
	$i = 1;
	while (isset($_REQUEST['lon'.$i])) {
		$lat = $_REQUEST['lat'.$i];
		$lon = $_REQUEST['lon'.$i];
		$html = $_REQUEST['htm'.$i];
		$icon = $_REQUEST['icn'.$i];
		$initialState = $_REQUEST['initialState'.$i];
		if (is_numeric($lat) && is_numeric($lon)) {
			if (!get_magic_quotes_gpc()) {
				echo addslashes("	createAnnotation($i,$lon,$lat,'$html','$icon','$initialState');\n");
			} else {
				echo "	createAnnotation($i,$lon,$lat,'$html','$icon','$initialState');\n";
			}
		} else {
			echo "	alert('bad lat/lon data: $lat, $lon');\n";
		}
		$i++;
	}
	// END PHP   ?>
	
    
    //]]>
    </script>
  </body>
</html>
